RunTargetCommand (Ant Contrib)
Keywords: net.sf.antcontrib.antserver.commands.RunTargetCommand class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.antserver.commands
Class RunTargetCommand

    java.lang.Object
      net.sf.antcontrib.antserver.commands.AbstractCommand
          net.sf.antcontrib.antserver.commands.RunTargetCommand

All Implemented Interfaces:
  java.io.Serializable, Command

    public class RunTargetCommand

extends AbstractCommand
implements Command

Place class description here.

Since:
Author:
  Matthew Inger,
See Also:
  Serialized Form

Constructor Summary
`RunTargetCommand()`

Method Summary
`void` | `addConfiguredProperty(PropertyContainer property)`
`void` | `addConfiguredReference(ReferenceContainer reference)`
`boolean` | `execute(org.apache.tools.ant.Project project, long contentLength, java.io.InputStream content)` Execute the command.
`java.util.Vector` | `getProperties()`
`java.util.Vector` | `getReferences()`
`java.lang.String` | `getTarget()`
`boolean` | `isInheritall()`
`boolean` | `isInteritrefs()`
`void` | `setInheritall(boolean inheritall)`
`void` | `setInteritrefs(boolean interitrefs)`
`void` | `setProperties(java.util.Vector properties)`
`void` | `setReferences(java.util.Vector references)`
`void` | `setTarget(java.lang.String target)`
`void` | `validate(org.apache.tools.ant.Project project)` This should throw a build exception if the parameters are invalid.

Methods inherited from class net.sf.antcontrib.antserver.commands.AbstractCommand
`getContentLength, getContentStream, getReponseContentStream, getResponseContentLength, respond`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.antcontrib.antserver.Command
`getContentLength, getContentStream, getReponseContentStream, getResponseContentLength, respond`

Constructor Detail

### RunTargetCommand

    public RunTargetCommand()

Method Detail

### getTarget

    public java.lang.String getTarget()

### setTarget

    public void setTarget(java.lang.String target)

### getProperties

    public java.util.Vector getProperties()

### setProperties

    public void setProperties(java.util.Vector properties)

### getReferences

    public java.util.Vector getReferences()

### setReferences

    public void setReferences(java.util.Vector references)

### isInheritall

    public boolean isInheritall()

### setInheritall

    public void setInheritall(boolean inheritall)

### isInteritrefs

    public boolean isInteritrefs()

### setInteritrefs

    public void setInteritrefs(boolean interitrefs)

### addConfiguredProperty

    public void addConfiguredProperty(PropertyContainer property)

### addConfiguredReference

    public void addConfiguredReference(ReferenceContainer reference)

### validate

    public void validate(org.apache.tools.ant.Project project)

  Description copied from interface: `Command`
  This should throw a build exception if the parameters are invalid.

  Specified by:
    `validate` in interface `Command`

### execute

    public boolean execute(org.apache.tools.ant.Project project,
                           long contentLength,
                           java.io.InputStream content)
                    throws java.lang.Throwable

  Description copied from interface: `Command`
  Execute the command.

  Specified by:
    `execute` in interface `Command`
  Parameters:
    `project` - The project which is being executed
  Returns:
    If true, the connection will be closed
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD